[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
142/376: Reduce test verbosity
From: |
Ludovic Courtès |
Subject: |
142/376: Reduce test verbosity |
Date: |
Wed, 28 Jan 2015 22:04:36 +0000 |
civodul pushed a commit to tag 1.8
in repository guix.
commit 894fa5e42dd952caa702794964a13845ccf6f29a
Author: Eelco Dolstra <address@hidden>
Date: Wed Aug 20 14:21:14 2014 +0200
Reduce test verbosity
---
tests/timeout.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/tests/timeout.sh b/tests/timeout.sh
index 4a4769a..6787a40 100644
--- a/tests/timeout.sh
+++ b/tests/timeout.sh
@@ -3,7 +3,7 @@
source common.sh
failed=0
-messages="`nix-build timeout.nix --timeout 2 2>&1 || failed=1`"
+messages="`nix-build -Q timeout.nix --timeout 2 2>&1 || failed=1`"
if [ $failed -ne 0 ]; then
echo "error: \`nix-store' succeeded; should have timed out"
exit 1
@@ -15,7 +15,7 @@ if ! echo "$messages" | grep -q "timed out"; then
exit 1
fi
-if nix-build timeout.nix --option build-max-log-size 100; then
+if nix-build -Q timeout.nix --option build-max-log-size 100; then
echo "build should have failed"
exit 1
fi
- 132/376: nix-shell: Use $XDG_RUNTIME_DIR, (continued)
- 132/376: nix-shell: Use $XDG_RUNTIME_DIR, Ludovic Courtès, 2015/01/28
- 120/376: download-from-binary-cache.pl: Respect $SSL_CERT_FILE, Ludovic Courtès, 2015/01/28
- 123/376: Remove pointless NIX_LOG_TYPE environment variable, Ludovic Courtès, 2015/01/28
- 136/376: Propagate remote timeouts properly, Ludovic Courtès, 2015/01/28
- 131/376: Use $XDG_RUNTIME_DIR for temporary files, Ludovic Courtès, 2015/01/28
- 137/376: Reduce verbosity, Ludovic Courtès, 2015/01/28
- 133/376: Fix download-via-ssh, Ludovic Courtès, 2015/01/28
- 130/376: nix-log2xml: Handle newlines, Ludovic Courtès, 2015/01/28
- 143/376: nix-store -l: Automatically pipe output into $PAGER, Ludovic Courtès, 2015/01/28
- 139/376: Fix --attr parsing, Ludovic Courtès, 2015/01/28
- 142/376: Reduce test verbosity,
Ludovic Courtès <=
- 138/376: Doh, Ludovic Courtès, 2015/01/28
- 135/376: nix-build: Propagate exit status from nix-store -r, Ludovic Courtès, 2015/01/28
- 125/376: Refactor option handling, Ludovic Courtès, 2015/01/28
- 134/376: build-remote.pl: Provide defaults for $NIX_CURRENT_LOAD and $NIX_REMOTE_SYSTEMS, Ludovic Courtès, 2015/01/28
- 141/376: Filter Nix-specific ANSI escape sequences from stderr, Ludovic Courtès, 2015/01/28
- 140/376: Make hook shutdown more reliable, Ludovic Courtès, 2015/01/28
- 144/376: Add some color, Ludovic Courtès, 2015/01/28
- 147/376: Handle header file instantiation, Ludovic Courtès, 2015/01/28
- 152/376: Flush std::cout before closing stdout, Ludovic Courtès, 2015/01/28
- 146/376: Install config.h only once, Ludovic Courtès, 2015/01/28